Subject: NA Digest, V. 92, # 32

From: [email-masked] (NA-NET)
Date: Sun, 16 Aug 92 11:28:07 -0400

NA Digest   Sunday, August 16, 1992   Volume 92 : Issue 32

Today's Editor:

    Cleve Moler
    The MathWorks, Inc.
    [email-masked]

Today's Topics:

    Encrypted SIAM Membership List Available
    Looking for Tricks of the Trade
    Huge Sparse Eigenvalue Problem
    Unix "tar" on DOS.
    Contents: Linear Algebra and its Applications
    Contents: SIAM Optimization

Submissions for NA Digest: 
    Mail to [email-masked].

Information about NA-NET:
    Mail to [email-masked].

-------------------------------------------------------

From: Eric Grosse 908-582-5828 <[email-masked]>
Date: Sun Aug 9 22:52:50 EDT 1992
Subject: Encrypted SIAM Membership List Available

The SIAM membership list, a useful source of up-to-date addresses and
phone numbers, has long been searchable via netlib.  Now you can also
download it to your own machine for faster searching.

To preserve privacy, i.e. to keep the list from being used by mass mailers
and telemarketers, the database is encrypted.  Given a person's last name
or phone number, you can decrypt that one database entry.  But there is
no feasible way to crack the entire list.  To learn how we do this, read
J. Feigenbaum, E. Grosse and J. Reeds (1992) "Cryptographic Protection of
Membership Lists", Newsletter of the International Association for
Cryptologic Research, 9:1,16-20.  (This paper is available from netlib by
"send 91-12 from research/nam".)

You can use the system without understanding the mechanism.  First, get
the decryption program and (1.2 megabyte) database by
 	ftp research.att.com
	login: netlib
	password: <your email address>
	binary
	cd research
	get decryptdb.c
	get siamdb
	quit
then follow the instructions at the start of decryptdb.c to install.
For now, you must have ftp access and a C compiler;  if demand
warrants, SIAM headquarters may make the system available on other
media at a later time.

The database, which is updated quarterly, will continue to be
searchable via netlib's "whois" command.  But fast local access allows
new uses;  for example, my computer is connected to my phone and, when
caller-ID is functioning, automatically translates the calling number
into a name.

------------------------------

From: Steve Stevenson <[email-masked]>
Date: Mon, 10 Aug 92 08:44:59 -0400
Subject: Looking for Tricks of the Trade

In the past several months, I have read a couple of texts which have made
a big deal about Horner's rule, like it was a new can for beer.
Other texts seem to be totally oblivious to certain computational facts of
life, like using extrapolation. Yet another trick is converting
Taylor series from interative (natural) to recursive.  Most of this
stuff goes back to the pre-computer days when things had to be
done by hand. 

I would like to compile a list of all the old and new computational techniques
which people use to accelerate computations. If you would please send me
just the name and a reference, I'll summerize.

Thanks.
Steve

Steve (really "D. E.") Stevenson           [email-masked]
Department of Computer Science,            (803)656-5880.mabell
Clemson University, Clemson, SC 29634-1906

------------------------------

From: Ching-ju Ashraf Lee <[email-masked]>
Date: Thu, 13 Aug 92 12:26:24 -0400
Subject: Huge Sparse Eigenvalue Problem

Dear Sir/Madame:
 
I have a huge sparse eigensystem Ax=lambda*Bx to solve.   A and
B are real, symmetric and even positive definite.  I only need
the smallest eigenvalue of this system and such eigenvalue in my
system is always simple and believed to be well-isolated. An
immediate numerical method for such problem is the inverse iteration
method: (A-mu*B)x(k+1) = Bx(k). Unfortunately, the best method I
come up with in solving the above system is the Cholesky decompo-
sition(I am able to get a lower bound of lambda, hence mu may be
taken to be the lower bound).  But since A and B are 70,000 by
70,000, the half bandwidth of A and B is usually around 30,000. 
Even though I only have at most 24 nonzero entries per row in the
matrices, Cholesky decomposition will fill nonzero entries inside
the band.  So the virtual memory required by the method is way
beyond the limit on my local machine(700 megabytes).  Note also
that if mu is close to lambda, therefore a good initial approxi-
mation of the system, A-mu*B is quite singular.  So the ordinary
iterative methods will not work well in solving the system
(A-mu*B)x(k+1)=Bx(k) for x(k+1) (correct me if my impression is
false).  I would like to utilize the special sparseness I have in
this system, if possible, before jump on a larger machine.  So any
thoughtful suggestions or reference of the related literature will
be greatly appreciated.
   
    Ching-ju Ashraf
    [email-masked]

------------------------------

From: Luciano Molinari <[email-masked]>
Date: Fri, 14 Aug 1992 11:33:23 +0200
Subject: Unix "tar" on DOS.

I am looking for an MS-DOS utility to dearchive and decompress Unix tar.Z
files.  Can anybody help me?

Thanks,
L. Molinari
[email-masked]
The Children's Hospital
Steinwiesstr.75
CH-8032 Zurich

------------------------------

From: Richard Brualdi <[email-masked]>
Date: Wed, 12 Aug 92 07:28:17 CDT
Subject: Contents: Linear Algebra and its Applications

Contents of LAA   Volume 174, September 1992

Joel V. Brawley (Clemson, South Carolina) and Gary L. Mullen
(University Park, Pennsylvania)
Scalar Polynomial Functions on the Nonsingular Matrices Over a Finite Field  1 

Robert Brawer and Magnus Pirovino (Zurich, Switzerland)
The Linear Algebra of the Pascal Matrix  13

A. A. Chernyak and Z. A. Chernyak (Minsk, U.S.S.R.)
Joint Realization of (0, 1) Matrices Revisited  25

Lifeng Ding (Atlanta, Georgia)
Separating Vectors and Reflexivity  37

Massoud Malek (Hayward, California)
Notes on Permanental and Subpermanental Inequalities  53

Keith Bourque and Steve Ligh (Lafayette, Louisiana)
On GCD and LCM Matrices  65

K. H. Kim and F. W. Roush (Montgomery, Alabama)
Automorphisms of gl-Matrices  75

Charles Lanski (Los Angeles, California)
An Identity for Matrix Rings With Involution  91

P. J. Maher (London, England)
Some Norm Inequalities Concerning Generalized Inverses  99

Desmond J. Higham (Dundee, Scotland) and Nicholas J. Higham (Manchester, 
England) 
Componentwise Perturbation Theory for Linear Systems With Multiple Right-Hand 
Sides  111 

John A. Holbrook (Guelph, Canada)
Spectral Variation of Normal Matrices  131

Lei Wu (Dalian, People's Republic of China)
The Re-Positive Definite Solutions to the Matrix Inverse Problem AX=B  145

O. L. Mangasarian (Madison, Wisconsin)
Global Error Bounds for Monotone Affine Variational Inequality Problems  153 

Barbu C. Kestenband (Old Westbury, New York)
Quadrics as Hyperplanes in Finite Affine Geometries  165

Max Bauer (Rennes, France)
Dilatations and Continued Fractions  183

Bernhard A. Schmitt (Marburg, Germany)
Perturbation Bounds for Matrix Square Roots and Pythagorean Sums  215 

Vlad Ionescu and Martin Weiss (Bucharest, Romania)
On Computing the Stabilizing Solution of the Discrete-Time Riccati Equation  
229 

Daniel B. Szyld (Philadelphia, Pennsylvania)
A Sequence of Lower Bounds for the Spectral Radius of Nonnegative Matrices  
239 

BOOK REVIEW

Frank Uhlig (Auburn, Alabama)
Review of Topics in Matrix Analysis by Roger A. Horn and Charles R. Johnson  
243

Author Index  247

------------------------------

From: Beth Gallagher <[email-masked]>
Date: Wed, 12 Aug 92 11:03:54 EST
Subject: Contents: SIAM Optimization

SIAM Journal on Optimization
November 1992    Volume 2, Number 4

CONTENTS

On the Behavior of Broyden's Class of Quasi-Newton Methods
Richard H. Byrd, Dong C. Liu, and Jorge Nocedal

New Results on a Continuously Differentiable Exact Penalty Function
Stefano Lucidi

On the Implementation of a Primal-Dual Interior Point Method
Sanjay Mehrotra

On Regularized Least Norm Problems
Achiya Dax

On the Continuity of the Solution Map in Linear Complementarity
Problems
M. Seetharma Gowda

Linear Inequality Scaling Problems
Uriel G. Rothblum

New Proximal Point Algorithms for Convex Minimization
Osman Guler

A Necessary and Sufficient Condition for a Constrained Minimum
J. Warga

Diagonal Matrix Scaling and Linear Programming
Leonid Khachiyan and Bahman Kalantari

Author Index

------------------------------

End of NA Digest
**************************
-------